ReverseSingleDegreeComparator Class Reference

A predicate that sorts terms in weakly descending order according to degree of the specified variable. More...

`#include <TermPredicate.h>`

Inheritance diagram for ReverseSingleDegreeComparator:

## Public Member Functions

| ReverseSingleDegreeComparator (size_t var, size_t varCount=0)
Public Member Functions inherited from TermPredicate
| TermPredicate (size_t varCount=0)
virtual | ~TermPredicate ()
bool | operator() (const Term &a, const Term &b) const
bool | operator() (const Term &a, const Exponent *b) const
bool | operator() (const Exponent *a, const Term &b) const
bool | operator() (const Exponent *a, const Exponent *b) const
size_t | getVarCount () const
void | setVarCount (size_t varCount)

## Private Member Functions

virtual bool | doPredicate (const Exponent *a, const Exponent *b) const

## Private Attributes

size_t | _var

## Detailed Description

A predicate that sorts terms in weakly descending order according to degree of the specified variable.

Definition at line 141 of file TermPredicate.h.

## Constructor & Destructor Documentation

## ReverseSingleDegreeComparator()

ReverseSingleDegreeComparator::ReverseSingleDegreeComparator | ( | size_t | var,
|  | size_t | varCount = 0 )

Definition at line 108 of file TermPredicate.cpp.

## Member Function Documentation

## doPredicate()

virtual bool ReverseSingleDegreeComparator::doPredicate | ( | const Exponent * | a,
|  | const Exponent * | b ) const

inline private virtual

Implements TermPredicate.

Definition at line 146 of file TermPredicate.h.

## Member Data Documentation

## _var

size_t ReverseSingleDegreeComparator::_var

private

Definition at line 151 of file TermPredicate.h.

The documentation for this class was generated from the following files:

- src/TermPredicate.h
- src/TermPredicate.cpp